Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 470010 - __main__.ConfigParserError: ('config file read error', '/etc/rhn/rhn.conf', 'No such file or directory') when installing spacewalk-proxy-broker
Summary: __main__.ConfigParserError: ('config file read error', '/etc/rhn/rhn.conf', '...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Proxy Server
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-05 09:14 UTC by Jan Pazdziora
Modified: 2009-01-22 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:14 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-11-05 09:14:24 UTC
Description of problem:

When running yum install spacewalk-proxy-installer, the spacewalk-proxy-broker is
put into the transaction, and some python traceback is shown.

Version-Release number of selected component (if applicable):

Spacewalk Proxy 0.3
# rpm -q spacewalk-proxy-broker
spacewalk-proxy-broker-0.3.3-1.el5.sw

How reproducible:

Tried once.

Steps to Reproduce:
1. Setup machine based on
https://fedorahosted.org/spacewalk/wiki/HowToInstallProxy
2. # yum install spacewalk-proxy-installer
  
Actual results:

[...]
  Installing: rpm-build                    ####################### [21/29] 
  Installing: spacewalk-certs-tools        ####################### [22/29] 
  Installing: spacewalk-proxy-broker       ####################### [23/29] 
Traceback (most recent call last):
  File "/usr/share/rhn/common/rhnConfig.py", line 754, in ?
    cfg.parse()
  File "/usr/share/rhn/common/rhnConfig.py", line 128, in parse
    timeDiff = self.modifiedYN()
  File "/usr/share/rhn/common/rhnConfig.py", line 110, in modifiedYN
    self.file, e.args[1])
__main__.ConfigParserError: ('config file read error', '/etc/rhn/rhn.conf', 'No such file or directory')
  Installing: spacewalk-proxy-common       ####################### [24/29] 
  Installing: spacewalk-proxy-tools        ####################### [25/29] 
  Installing: spacewalk-proxy-redirect     ####################### [26/29] 
[...]

Expected results:

[...]
  Installing: rpm-build                    ####################### [21/29] 
  Installing: spacewalk-certs-tools        ####################### [22/29] 
  Installing: spacewalk-proxy-broker       ####################### [23/29] 
  Installing: spacewalk-proxy-common       ####################### [24/29] 
  Installing: spacewalk-proxy-tools        ####################### [25/29] 
  Installing: spacewalk-proxy-redirect     ####################### [26/29] 
[...]

Additional info:

Comment 1 Miroslav Suchý 2008-11-12 14:13:14 UTC
Commited 85362d91ca16d4d633329e4aed27de1a5ba47318.

Comment 2 Jan Pazdziora 2009-01-15 09:23:43 UTC
Verified for spacewalk-proxy-broker-0.4.3-1.el5:

Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: spacewalk-backend            ####################### [ 1/20] 
  Installing: mod_python                   ####################### [ 2/20] 
  Installing: spacewalk-proxy-package-mana ####################### [ 3/20] 
  Installing: spacewalk-ssl-cert-check     ####################### [ 4/20] 
  Installing: spacewalk-proxy-html         ####################### [ 5/20] 
  Installing: perl-URI                     ####################### [ 6/20] 
  Installing: squid                        ####################### [ 7/20] 
  Installing: elfutils-libs                ####################### [ 8/20] 
  Installing: elfutils                     ####################### [ 9/20] 
  Installing: rpm-build                    ####################### [10/20] 
  Installing: spacewalk-certs-tools        ####################### [11/20] 
  Installing: spacewalk-proxy-docs         ####################### [12/20] 
  Installing: distcache                    ####################### [13/20] 
  Installing: mod_ssl                      ####################### [14/20] 
  Installing: jabberd                      ####################### [15/20] 
  Installing: spacewalk-proxy-common       ####################### [16/20] 
  Installing: spacewalk-proxy-broker       ####################### [17/20] 
  Installing: spacewalk-proxy-redirect     ####################### [18/20] 
  Installing: spacewalk-proxy-tools        ####################### [19/20] 
  Installing: spacewalk-proxy-management   ####################### [20/20] 

Installed: spacewalk-proxy-management.noarch 0:0.4.3-1.el5
Dependency Installed: distcache.i386 0:1.4.5-14.1 elfutils.i386 0:0.125-3.el5 elfutils-libs.i386 0:0.125-3.el5 jabberd.i386 0:2.0s10-3.42.el5 mod_python.i386 0:3.2.8-3.1 mod_ssl.i386 1:2.2.3-11.el5_2.4 perl-URI.noarch 0:1.35-3 rpm-build.i386 0:4.4.2-48.el5 spacewalk-backend.noarch 0:0.4.10-1.el5 spacewalk-certs-tools.noarch 0:0.4.2-1.el5 spacewalk-proxy-broker.noarch 0:0.4.3-1.el5 spacewalk-proxy-common.noarch 0:0.4.3-1.el5 spacewalk-proxy-docs.noarch 0:0.4.1-1.el5 spacewalk-proxy-html.noarch 0:0.4.2-1.el5 spacewalk-proxy-package-manager.noarch 0:0.4.3-1.el5 spacewalk-proxy-redirect.noarch 0:0.4.3-1.el5 spacewalk-proxy-tools.noarch 0:0.4.3-1.el5 spacewalk-ssl-cert-check.noarch 0:1.4-10.10.el5 squid.i386 7:2.6.STABLE6-5.el5_1.3
Complete!


Note You need to log in before you can comment on or make changes to this bug.